Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.support.model
Enum StorageMedium

    java.lang.Object
      java.lang.Enum<StorageMedium>
          org.teleal.cling.support.model.StorageMedium

All Implemented Interfaces:
  Serializable, Comparable<StorageMedium>

    public enum StorageMedium

extends Enum<StorageMedium>

Author:
  Christian Bauer

Enum Constant Summary
`CD_DA`
`CD_R`
`CD_ROM`
`CD_RW`
`D_VHS`
`DAT`
`DV`
`DVD_AUDIO`
`DVD_MINUS_RW`
`DVD_PLUS_RW`
`DVD_R`
`DVD_RAM`
`DVD_ROM`
`DVD_VIDEO`
`HDD`
`HI8`
`LD`
`MD_AUDIO`
`MD_PICTURE`
`MICRO_MV`
`MINI_DV`
`NETWORK`
`NONE`
`NOT_IMPLEMENTED`
`S_VHS`
`SACD`
`UNKNOWN`
`VENDOR_SPECIFIC`
`VHS`
`VHSC`
`VIDEO_CD`
`VIDEO8`
`W_VHS`

Method Summary
`String` | `toString()`
`static StorageMedium` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StorageMedium[]` | `valueOfCommaSeparatedList(String s)`
`static StorageMedium` | `valueOrExceptionOf(String s)`
`static StorageMedium` | `valueOrVendorSpecificOf(String s)`
`static StorageMedium[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN

    public static final StorageMedium UNKNOWN

### DV

    public static final StorageMedium DV

### MINI_DV

    public static final StorageMedium MINI_DV

### VHS

    public static final StorageMedium VHS

### W_VHS

    public static final StorageMedium W_VHS

### S_VHS

    public static final StorageMedium S_VHS

### D_VHS

    public static final StorageMedium D_VHS

### VHSC

    public static final StorageMedium VHSC

### VIDEO8

    public static final StorageMedium VIDEO8

### HI8

    public static final StorageMedium HI8

### CD_ROM

    public static final StorageMedium CD_ROM

### CD_DA

    public static final StorageMedium CD_DA

### CD_R

    public static final StorageMedium CD_R

### CD_RW

    public static final StorageMedium CD_RW

### VIDEO_CD

    public static final StorageMedium VIDEO_CD

### SACD

    public static final StorageMedium SACD

### MD_AUDIO

    public static final StorageMedium MD_AUDIO

### MD_PICTURE

    public static final StorageMedium MD_PICTURE

### DVD_ROM

    public static final StorageMedium DVD_ROM

### DVD_VIDEO

    public static final StorageMedium DVD_VIDEO

### DVD_R

    public static final StorageMedium DVD_R

### DVD_PLUS_RW

    public static final StorageMedium DVD_PLUS_RW

### DVD_MINUS_RW

    public static final StorageMedium DVD_MINUS_RW

### DVD_RAM

    public static final StorageMedium DVD_RAM

### DVD_AUDIO

    public static final StorageMedium DVD_AUDIO

### DAT

    public static final StorageMedium DAT

### LD

    public static final StorageMedium LD

### HDD

    public static final StorageMedium HDD

### MICRO_MV

    public static final StorageMedium MICRO_MV

### NETWORK

    public static final StorageMedium NETWORK

### NONE

    public static final StorageMedium NONE

### NOT_IMPLEMENTED

    public static final StorageMedium NOT_IMPLEMENTED

### VENDOR_SPECIFIC

    public static final StorageMedium VENDOR_SPECIFIC

Method Detail

### values

    public static StorageMedium[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StorageMedium c : StorageMedium.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StorageMedium valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<StorageMedium>`

### valueOrExceptionOf

    public static StorageMedium valueOrExceptionOf(String s)

### valueOrVendorSpecificOf

    public static StorageMedium valueOrVendorSpecificOf(String s)

### valueOfCommaSeparatedList

    public static StorageMedium[] valueOfCommaSeparatedList(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.